Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. IDMC REST API
  3. REST API resource quick references
  4. Platform REST API version 2 resources
  5. Platform REST API version 3 resources
  6. Data Integration REST API
  7. Cloud Data Integration for PowerCenter (CDI-PC) REST API
  8. Data Ingestion and Replication REST API
  9. Customer Managed REST API
  10. RunAJob utility
  11. ParamSetCli utility
  12. REST API codes

REST API Reference

REST API Reference

XML format example

XML format example

You can use XML calls with version 2 resources.
To log in using XML, you might use the following header and body:
POST https://dm-us.informaticacloud.com/ma/api/v2/user/login Content-Type: application/xml Accept: application/xml <login> <username>useremail@company.com</username> <password>mypassword</password> </login>
The login might return the following information:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?> <user> <id>00000B03000000000001</id> <orgId>00000B</orgId> <name>user@company.com</name> <createTime>2012-06-14T15:00:00.000Z</createTime> <updateTime>2012-06-14T15:00:00.000Z</updateTime> <createdBy>System</createdBy> <updatedBy>user@company.com</updatedBy> <firstName>Firstname</firstName> <lastName>Lastname</lastName> <title>Senior Software Engineer</title> <password>********</password> <phone>11111111111111111111</phone> <timezone>America/Los_Angeles</timezone> <serverUrl>http://example.informatica.com/saas</serverUrl> <icSessionId>IV4wOrJmd6YUtmKa8t</icSessionId> </user>
You can then use the icSessionId and the serverUrl to construct a request to delete a schedule as follows. The schedule ID is 000001D0000000000001.
DELETE http://example.informatica.com/saas/api/v2/schedule/000001D0000000000001 Accept: application/xml icSessionId: IV4wOrJmd6YUtmKa8t
Note that Content-Type is not required because the DELETE method does not have additional attributes to pass in the request body.

0 COMMENTS

We’d like to hear from you!